# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=kbd
pkgver=2.5.0
pkgrel=1
pkgdesc="Keytable files and keyboard utilities"
arch=('x86_64')
url="http://www.kbd-project.org"
license=('GPL')
groups=('base')
depends=('bash' 'coreutils' 'glibc')
makedepends=('binutils' 'bison' 'check' 'flex' 'gcc' 'gettext' 'gzip' 'make' 'patch' 'sed')
source=(https://www.kernel.org/pub/linux/utils/${pkgname}/${pkgname}-${pkgver}.tar.xz
    ${pkgname}-${pkgver}-backspace-1.patch)
sha256sums=(ad95964a4dede55f9239dd63b455fa4498cf3db3a0075ccd1d65a9f0e622a0fd
    8be28dcb11420624a500f2ea4fe975f771174bffee50e54ec8cd295a2dec104e)

prepare() {
    cd ${pkgname}-${pkgver}

    patch -Np1 -i ${srcdir}/${pkgname}-${pkgver}-backspace-1.patch
    sed -i '/RESIZECONS_PROGS=/s/yes/no/' configure
    sed -i 's/resizecons.8 //' docs/man/man8/Makefile.in
}

build() {
    cd ${pkgname}-${pkgver}

    ${configure} --disable-vlock

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
